import { Field } from '@kano/kwc-blockly/blockly.js';
export declare class FieldIcon extends Field {
    private spacing;
    private sizeParams;
    private textHide;
    private legacyIdMap;
    protected imageElement_: SVGElement | null;
    protected textElement_: SVGTextElement | null;
    constructor(value: string, optValidator?: () => void);
    init(): void;
    render_(): void;
    updateWidth(): void;
    _onMouseDown(e: any): void;
    legacyValueCheck(value: string): void;
    setLegacyIdMap(map: Map<string, string>): void;
    showEditor_(): void;
    getIcon(id: string): string;
    getLabel(): string;
}
